/*  
 *  - - - - - -
 *   g a l . h
 *  - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all the header files that comprise
 *     the General Astrodynamics Library.
 *  
 *  Status: 
 *  
 *     Library header file  
 *  
 *  This revision:  
 * 
 *     2013 June 22 Paul Willmott gal_date_macros.h removed.
 *
 *  Revision History:
 *
 *     2011 April 24 Paul Willmott Missing gal_datetime.h, gal_math.h added.
 *
 *     2010 April 5 Paul Willmott gal_errno.h renamed gal_status.h,
 *                                gal_gravity.h renamed gal_forces.h,
 *                                and gal_const.h removed.
 *
 *     2010 February 2 Paul Willmott gal_errno.h added.
 *
 *     2009 February 6 Paul Willmott Baseline
 *  
 *  Copyright (C) 2008, 2009, 2010, 2011, 2012, 2013 Paul C. L. Willmott. 
 *  See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_H_  
#define _GAL_H_ 1  

#include "gal_astro.h"
#include "gal_objects.h"
#include "gal_version.h"
#include "gal_datetime.h"
#include "gal_ephemerides.h"
#include "gal_forces.h"
#include "gal_frames.h"
#include "gal_kepler.h"
#include "gal_math.h"
#include "gal_math_macros.h"
#include "gal_pstrings.h"
#include "gal_star.h"
#include "gal_status.h"
#include "gal_usstratcom.h"
#include "gal_test_common.h"
#include "gal_test.h"

#endif /* !_GAL_H_ */  

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009, 2010, 2011, 2012, 2013 Paul C. L. Willmott  
 *
 *  Permission is hereby granted, free of charge, to any person obtaining 
 *  a copy of this software and associated documentation files (the 
 *  "Software"), to deal in the Software without restriction, including 
 *  without limitation the rights to use, copy, modify, merge, publish, 
 *  distribute, sublicense, and/or sell copies of the Software, and to 
 *  permit persons to whom the Software is furnished to do so, subject to 
 *  the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included 
 *  in all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR 
 *  OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 *  OTHER DEALINGS IN THE SOFTWARE.
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat-bda.org  
 */
