/*  
 *  - - - - - - - - - - - - - - - - - - 
 *   g a l _ o s c 2 m e a n _ t e s t  
 *  - - - - - - - - - - - - - - - - - -
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_osc2mean routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_osc2mean  								Convert osculating to mean elements
 *     gal_vdv  										Verify double value
 *     gal_viv                      Verify integer value
 *     gal_stsalloc                 Create status structure
 *     gal_stsfree                  Free status structure
 *     gal_stsadd                   Merge status structures
 *     gal_stsinit                  Initialize status structure
 *     gal_gmget_wgs72              Get copy of WGS72 gravity model
 *     gal_gmfree                   Free gravity model
 *     gal_days2cal                 Day count to calendar date
 *     gal_cal2jd                   Calendar date to Julian date
 *  
 *  This revision:
 *  
 *     2010 February 14 Paul Willmott Changed to use gal_gmget_wgs72 routine.
 *  
 *  Revision History:
 *
 *     2010 February 8 Paul Willmott Changed to use GAL status recording
 *                                   mechanism.
 *  
 *     2010 January 24 Paul Willmott Dead code removed.
 *  
 *     2009 January 31 Paul Willmott Baseline
 * 
 *  Copyright (C) 2009, 2010, 2011, 2012 Paul C. L. Willmott. See notes at end.  
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef GAL_OSC2MEAN_TEST_H_  
#define GAL_OSC2MEAN_TEST_H_ 1  
  
#undef __BEGIN_DECLS  
#undef __END_DECLS  
#ifdef __cplusplus  
#define __BEGIN_DECLS extern "C" {  
#define __END_DECLS }  
#else  
#define __BEGIN_DECLS /* empty */  
#define __END_DECLS   /* empty */  
#endif  
  
__BEGIN_DECLS  
  
void  
gal_osc2mean_test  
(  
) ;  
  
__END_DECLS
  
#endif /* !GAL_OSC2MEAN_TEST_H_ */  
  
/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2009, 2010, 2011, 2012 Paul C. L. Willmott  
 *
 *  Permission is hereby granted, free of charge, to any person obtaining 
 *  a copy of this software and associated documentation files (the 
 *  "Software"), to deal in the Software without restriction, including 
 *  without limitation the rights to use, copy, modify, merge, publish, 
 *  distribute, sublicense, and/or sell copies of the Software, and to 
 *  permit persons to whom the Software is furnished to do so, subject to 
 *  the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included 
 *  in all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR 
 *  OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 *  OTHER DEALINGS IN THE SOFTWARE.
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat-bda.org  
 */
