/*  
 *  - - - - - - - - - - - - - - - - - - - - - - - - -
 *   g a l _ t u s s t r a t c o m - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - - - - - 
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the USSTRATCOM sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tsgp4        i           GAL_SUCCESS is returned if all the tests pass, 
 *                                  GAL_FAILURE is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_tledec_test              gal_tledec test routine
 *     gal_sgp4_test                gal_sgp4 test routine 
 *     gal_sgp4rs_test              gal_sgp4rs test routine
 *     gal_osc2mean_test            gal_osc2mean test routine
 *     gal_ldssr_test               gal_ldssr test routine
 *     gal_ldtle_test               gal_ldtle test routine
 *  
 *  This revision:  
 *
 *     2010 March 20 Paul Willmott gal_ldtle_test added
 * 
 *  Revision History:
 *
 *     2010 February 28 Paul Willmott gal_ldssr_test added
 * 
 *     2009 January 19 Paul Willmott Baseline
 *  
 *  Copyright (C) 2009, 2010, 2011, 2012 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <stdio.h>
#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_tledec_test.h"
#include "gal_sgp4_test.h"
#include "gal_sgp4rs_test.h"
#include "gal_osc2mean_test.h"
#include "gal_pstrings.h"
#include "gal_ldssr_test.h"
#include "gal_ldtle_test.h"

int
main
(
)
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "USSTRATCOM", 0 ) ;
  
  gal_tledec_test   () ;
  gal_sgp4_test     () ;      
  gal_sgp4rs_test   () ;
  
/*  gal_ldssr_test    () ; */ 
/* <- This works in XCODE but seems to blow memory on some systems */

  gal_ldtle_test    () ; 
/*  gal_osc2mean_test () ; */

  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009, 2010, 2011, 2012 Paul C. L. Willmott  
 *
 *  Permission is hereby granted, free of charge, to any person obtaining 
 *  a copy of this software and associated documentation files (the 
 *  "Software"), to deal in the Software without restriction, including 
 *  without limitation the rights to use, copy, modify, merge, publish, 
 *  distribute, sublicense, and/or sell copies of the Software, and to 
 *  permit persons to whom the Software is furnished to do so, subject to 
 *  the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included 
 *  in all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR 
 *  OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 *  OTHER DEALINGS IN THE SOFTWARE.
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat-bda.org  
 */
